package com.lightinit.hsdataplatform.model.admin;

import com.lightinit.hsdataplatform.dictionary.DicResourceCatelogType;
import com.lightinit.hsdataplatform.dictionary.DicResourceType;
import com.lightinit.hsdataplatform.dictionary.DicRqrmntSourceType;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

/**
 * Created by herbert on 2018/5/26.
 */
public class RequirementMicroappSearchModel {

    /*0 : UnPublished; 1 : Published  */
    private short published=1;

    private String requirementName;
    @DateTimeFormat(pattern="yyyy-MM-dd")
    private Date publishDateFrom;
    @DateTimeFormat(pattern="yyyy-MM-dd")
    private Date publishDateTo;
    private String requirementState;

    private  String requirementType= DicResourceType.MICROAPP;

    public String getRequirementName() {
        return requirementName;
    }

    public void setRequirementName(String requirementName) {
        this.requirementName = requirementName;
    }

    public Date getPublishDateFrom() {
        return publishDateFrom;
    }

    public void setPublishDateFrom(Date publishDateFrom) {
        this.publishDateFrom = publishDateFrom;
    }

    public Date getPublishDateTo() {
        return publishDateTo;
    }

    public void setPublishDateTo(Date publishDateTo) {
        this.publishDateTo = publishDateTo;
    }

    public String getRequirementState() {
        return requirementState;
    }

    public void setRequirementState(String requirementState) {
        this.requirementState = requirementState;
    }

    public String getRequirementType() {
        return requirementType.toLowerCase();
    }

    public void setRequirementType(String requirementType) {
        this.requirementType = requirementType;
    }

    public short getPublished() {
        return published;
    }

    public void setPublished(short published) {
        this.published = published;
    }
}
